Skip to main content
GET
/
api
/
reports
/
purchases-by-items
Get purchases by items report
curl --request GET \
  --url https://api.example.com/api/reports/purchases-by-items \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "fromDate": "<string>",
    "toDate": "<string>",
    "numberFormat": {
      "precision": 2,
      "divideOn1000": false,
      "showZero": true,
      "formatMoney": "total",
      "negativeFormat": "parentheses"
    },
    "itemsIds": [
      123
    ],
    "vendorsIds": [
      123
    ]
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "code": "<string>",
      "type": "<string>",
      "quantity": 123,
      "total": {
        "amount": 123,
        "formattedAmount": "<string>",
        "currencyCode": "<string>",
        "date": {}
      },
      "averageCost": 123
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

fromDate
string

Start date for the purchases by items report

Example:

"2024-01-01"

toDate
string

End date for the purchases by items report

Example:

"2024-01-31"

itemsIds
number[]

Array of item IDs to filter the purchases report

Example:
[1, 2, 3]
precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneTransactions
boolean
default:false

Whether to exclude items with no transactions

Example:

false

onlyActive
boolean
default:false

Whether to include only active items

Example:

false

Response

Purchases by items report

query
object
required

Query parameters used to generate the report

data
object[]
required

Purchases by items

meta
object
required

Report metadata